Skip to content

AeroWeather iOS Requirements

Devices fully supported

iPhone 6S / Plus (iOS 15)
iPhone 7 / 7 Plus (iOS 15)
iPhone 8 / Plus (iOS 16)
iPhone X
(iOS 16)
iPhone XS / XS Max / XR
iPhone 11 Series
iPhone SE Gen 2
iPhone 12 Series
iPhone 13 Series
iPhone SE Gen 3
iPhone 14 Series

iPhone 15 Series

Apple Watch Series 3 (watchOS 8)
Apple Watch Series 4
Apple Watch Series 5
Apple Watch Series 6
Apple Watch SE 1st generation
Apple Watch Series 7
Apple Watch Series 8
Apple Watch Series SE 2nd generation
Apple Watch Ultra

Apple Watch Series 9
Apple Watch Ultra 2

iPad Air 2 (iPadOS 15)
iPad Mini 4 (iPadOS 15)
iPad Pro (iPadOS 16)
iPad 5th generation (iPadOS 16)
iPad Pro 2nd generation
iPad 6th generation
iPad Pro 3rd generation
iPad Air 3rd generation
iPad Mini 5th generation
iPad 7th generation
iPad Pro 4th generation
iPad 8th generation
iPad Air 4th generation
iPad Pro 5th generation
iPad 9th generation
iPad mini 6th generation
iPad Air 5th generation
iPad 10th generation
iPad Pro 6th generation

Deprecated devices

These devices do not run the latest version of AeroWeather, but most subscription and Pro features still work:

iPhone 5S and iPhone 6 / Plus (iOS 12) with Version 3.6.5
iPad Air, iPad Mini 2, and iPad Mini 3 (iOS 12)
iPod touch Gen 6 (iOS 12)

These devices use a 4″ screen which is no longer supported. New features might break on these devices.

iPhone SE Gen 1 (iOS 15)
iPod touch Gen 7 (iOS 15)

Unsupported devices

iPhone
iPhone 3G, 3GS
iPhone 4, 4S

iPhone 5, 5c
iPhone SE

Apple Watch (1st generation), Series 1, Series 2

iPod touch Gen 6 and older

iPad
iPad 2
iPad 3rd generation
iPad mini

iPad 4th generation

These devices might still run older versions of AeroWeather Lite and Pro. As public data sources change, we cannot guarantee data availability and quality.

Prerelease Software

Many users use Apple beta software of iOS and iPadOS. We regularly test our apps on prerelease software for major incompatibilities. But we cannot guarantee bug free operation on such devices. Currently, we support iOS 14, iOS 15, iOS 16 and iOS 17, and watchOS 7 / 8 / 9 / 10.

We plan to drop support for iOS 14 and watchOS 8 in 2024.